> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/analytics/analytics.log.md).

# Analytics.log

> 函数式 API `eventLog`也可以通过它使用相同的功能。

### 功能说明

记录应用中发生的事件。可以记录调试·信息·警告·错误·屏幕·曝光·点击等多种类型。在沙盒环境中会输出到控制台，在真实环境中会记录到日志系统。

`params`中用于用户识别的 `anonymous_key`会作为默认参数自动包含。若直接传入相同键，则以你传入的值为准。 `undefined` 值会在发送前被移除，其余值都会规范化为 string。

Toss App Android/iOS `5.208.0` 可在以上版本中使用。未支持的版本中，日志会在无错误的情况下悄悄被忽略。

### 类型

```ts
Analytics.log(params: EventLogParams): Promise<void>;
```

**Params**

```ts
type EventLogParams = {
  log_name: string;
  log_type:
    | "debug"
    | "info"
    | "warn"
    | "error"
    | "event"
    | "screen"
    | "impression"
    | "click"
    | "popup";
  params: Record<string, string | number | boolean | null | undefined>;
};
```

**Response**

无。

### 示例代码

#### JavaScript

```js
import { Analytics } from "@apps-in-toss/web-framework";

try {
  await Analytics.log({
    log_name: "user_action",
    log_type: "event",
    params: {
      action: "button_click",
      screen: "main",
      userId: 12345,
    },
  });
} catch (error) {
  console.error(error);
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/analytics/analytics.log.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
